\name{imsobel}
\alias{imsobel}
\title{3x3 sobel operator}
\usage{
  imsobel(img, which = c("both", "horizontal", "vertical"))
}
\arguments{
  \item{img}{image to apply operator to}

  \item{which}{leave as is ('both') to calculate the
  traditional sobel gradient. Use 'horizontal' or
  'vertical' to calculate *just* those gradients.}
}
\value{
  sobel gradient image: same size as input (the border will
  be NA because of the convolution).
}
\description{
  3x3 sobel operator
}
\details{
  The horizontal sobel gradient is: \ifelse{latex}{ \deqn{
  G_x = \left( \begin{array}{ccc} -1 & 0 & +1 \\ -2 & 0 &
  +2 \\ -1 & 0 & +1 \end{array} \right) * img } }{
  \deqn{G_x = [-1 0 +1; -2 0 +2; -1 0 +1] * img} }

  The vertical is: \ifelse{latex}{ \deqn{ G_y = \left(
  \begin{array}{ccc} -1 & -2 & -1 \\ 0 & 0 & 0 \\ +1 & +2 &
  +1 \end{array} \right) * img } }{ \deqn{G_y = [-1 -2 -1;
  0 0 0; +1 +2 +1] * img} } where '*' is the 2D
  convolution.

  These filters are decomposible: \deqn{ G_x = t([1 2 1]) *
  ([-1 0 1] * img) } \deqn{ G_y = t([-1 0 1]) * ([1 2 1] *
  img) }

  The sobel image is given by: \deqn{ G = \sqrt{ G_x^2 +
  G_y^2 } }

  If the user specifies \code{which='both'} (default), they
  will get \deqn{G}. If they specify
  \code{which='horizontal'} they'll get \deqn{G_x}, and if
  they specify \code{which='vertical'} they'll get
  \deqn{G_y}.

  Note: one can also calculate the *direction* of the
  gradient via: \deqn{ theta = atan2(G_y,G_x) }
}

