\name{makeOverlay.grid}
\alias{makeOverlay.grid}
\title{overlays a single-channel binary image onto another.}
\usage{
  makeOverlay.grid(img, ovl, transparency = 0.5,
    max = imageUtilities.option("max"), col = c(255, 0, 0))
}
\arguments{
  \item{img}{the input image}

  \item{ovl}{the overlay image.  It will be coerced to
  binary.  Where it is 1 or TRUE, the overlay will be shown
  on the input image.}

  \item{transparency}{the transparency of the overlay, from
  0 to 1.  0 corresponds to an opaque overlay, and 1
  corresponds to a transparent overlay.}

  \item{col}{The colour to draw the overlay in.  Either a
  string of a colour recognised by R, or a numeric vector
  \code{c(R,G,B)} with red/green/blue values the desired
  colour, from 0 to max}

  \item{max}{the maximum intensity of the images (ie 0 to 1
  or 0 to 255)}
}
\value{
  an image with the overlay on top of it in the specified
  transparency and colour.
}
\description{
  overlays a single-channel binary image onto another.
}
\note{
  This essentially performs the calcuation: \deqn{ outI =
  transparency * colour * overlay + (1-transparency) *
  image }
}
\seealso{
  Other overlay: \code{\link{makeOverlay}},
  \code{\link{showOverlay}}
}
\keyword{internal}

