\name{pointPicker}
\alias{pointPicker}
\title{interactive interface for selecting points on an image (grid).}
\usage{
  pointPicker(imgArray = NULL, vp = NULL, numPoints = 4,
    VERTEX_COLOUR = "yellow", LINE_COLOUR = "white",
    verbose = FALSE, ...)
}
\arguments{
  \item{imgArray}{the input image *array* to have the user
  click on.  Supply this, OR}

  \item{vp}{handle to an existing viewport where the image
  is already plotted}

  \item{numPoints}{the number of points to have the user
  select.  Default 4.}

  \item{VERTEX_COLOUR}{R colour (string) specifying the
  colour to draw the points in on the graphics window.
  NULL to omit, default "yellow".}

  \item{LINE_COLOUR}{R colour (string) specifying the
  colour to draw lines between the points (NULL to omit).
  Default 'white'}

  \item{verbose}{boolean, whether to spit out extra debug
  info.}

  \item{...}{arguments passed in to
  \code{\link{drawImage}}}
}
\value{
  a numPointsx2 array (X,Y) of points the user clicked on.
  The points are \bold{1-based} and the *middle* of the
  top-left pixel has coordinates (1,1).
}
\description{
  interactive interface for selecting points on an image
  (grid).
}
\seealso{
  Other draw: \code{\link{drawImage}},
  \code{\link{imdisp}}, \code{\link{imdrawabline}},
  \code{\link{imdrawline}}, \code{\link{plotPoints}}
}

